<ion-header>
  <ion-toolbar>
    <ion-title>Ingreso</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form [formGroup]="formgroup">
    <ion-list>

      <ion-item >
        <ion-label class="divInput">Correo</ion-label>
        <ion-input class="divInput" type="text" formControlName="email" [(ngModel)]="user.correo"></ion-input>
      </ion-item>

      <ion-item *ngIf="email.hasError('required') && email.touched">
        <p class="divInputError">Debe ingresar su correo electrónico</p>
      </ion-item>

      <ion-item *ngIf="email.hasError('email') && email.touched">
        <p class="divInputError">Formato de correo inválido</p>
      </ion-item>

      <ion-item *ngIf="email.hasError('minlength') && email.touched">

        <p class="divInputError">El corrreo debe tener por lo menos 6 caractéres</p>
      </ion-item>

      <ion-item>
        <ion-label class="divInput">Contraseña</ion-label>
        <ion-input class="divInput" type="password" formControlName="password" [(ngModel)]="user.clave"></ion-input>
      </ion-item>

      <ion-item *ngIf="password.hasError('minlength') && password.touched">
        <p class="divInputError">La contraseña debe tener por lo menos 6 caractéres</p>
      </ion-item>

    </ion-list>

  </form>
  <button class="btnBauhausRojo" (click)="ingresar(user)">Ingresar</button>
  <button class="btnBauhausAzul" (click)="registrarse()">Registrarse</button>

  <button class="btnBauhausAmarillo" (click)="realizarPruebas()">Prueba</button>
</ion-content>